Anonymous Login
2019-11-21 00:57 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001647OpenClonkEnginepublic2016-01-29 04:53
Reporterlebrun 
Assigned ToSven2 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWindowsOS Version7 - 34 bits
Product Version 
Target VersionFixed in Version 
Summary0001647: Increasing saving time
DescriptionHello

This issue already happened to me on Deep Sea Mining.

The more time passes by > the more time it takes to save my game. At the end, its nearly impossible to save...

Game can even crash while attempting to save.


Thank you for your patience and your beautiful game :)
Steps To ReproducePlay 5mn > save game....
Play 10mn > save game...
..and so on..
Additional InformationI noticed also big lags when i hear rockfalls (described in game scenario).

Is it due to my hardware ? Configuration ?
TagsNo tags attached.
Attached Files
  • txt file icon butterfly_save_stack.txt (61,349 bytes) 2016-01-27 03:46 -
    
     	[External Code]	
    >	openclonk_RWD.exe!StdStrBuf::AppendFormatV(const char * szFmt, char * args) Line 243	C++
     	openclonk_RWD.exe!StdStrBuf::AppendFormat(const char * szFmt, ...) Line 212	C++
     	openclonk_RWD.exe!StdCompilerINIWrite::PutName(bool fSection) Line 401	C++
     	openclonk_RWD.exe!StdCompilerINIWrite::DWord(int & rInt) Line 239	C++
     	openclonk_RWD.exe!StdNamingAdapt<int & __ptr64>::CompileFunc(StdCompiler * pComp) Line 80	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 887	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::AnimationNode::CompileFunc(StdCompiler * pComp, const StdMesh * Mesh) Line 925	C++
     	openclonk_RWD.exe!StdPtrAdaptCompileFunc<StdPtrAdapt<StdMeshInstance::AnimationNode>,StdMesh const * __ptr64>(StdCompiler * pComp, const StdPtrAdapt<StdMeshInstance::AnimationNode> & adapt, const StdMesh * const & par) Line 614	C++
     	openclonk_RWD.exe!StdMeshInstance::CompileFunc(StdCompiler * pComp, StdMeshInstance::AttachedMesh::Denumerator * (void) * Factory) Line 1674	C++
     	openclonk_RWD.exe!StdNamingAdapt<StdParameterAdapt<StdMeshInstance & __ptr64,StdMeshInstance::AttachedMesh::Denumerator * __ptr64 (__cdecl*)(void)> >::CompileFunc(StdCompiler * pComp) Line 80	C++
     	openclonk_RWD.exe!C4Object::CompileFunc(StdCompiler * pComp, C4ValueNumbers * numbers) Line 2359	C++
     	openclonk_RWD.exe!StdNamingAdapt<StdParameterAdapt<C4Object & __ptr64,C4ValueNumbers * __ptr64> >::CompileFunc(StdCompiler * pComp) Line 80	C++
     	openclonk_RWD.exe!C4ObjectList::CompileFunc(StdCompiler * pComp, bool fSkipPlayerObjects, C4ValueNumbers * numbers) Line 474	C++
     	openclonk_RWD.exe!C4Game::CompileFunc(StdCompiler * pComp, C4Game::CompileSettings comp, C4ValueNumbers * numbers) Line 1726	C++
     	openclonk_RWD.exe!DecompileToBuf<StdCompilerINIWrite,StdParameter2Adapt<C4Game,C4Game::CompileSettings,C4ValueNumbers * __ptr64> >(const StdParameter2Adapt<C4Game,C4Game::CompileSettings,C4ValueNumbers *> & SrcStruct) Line 406	C++
     	openclonk_RWD.exe!DecompileToBuf_Log<StdCompilerINIWrite,StdParameter2Adapt<C4Game,C4Game::CompileSettings,C4ValueNumbers * __ptr64> >(StdParameter2Adapt<C4Game,C4Game::CompileSettings,C4ValueNumbers *> && TargetStruct, StdStrBuf * pOut, const char * szName) Line 781	C++
     	openclonk_RWD.exe!C4Game::SaveData(C4Group & hGroup, bool fSaveSection, bool fSaveExact, bool fSaveSync, C4ValueNumbers * numbers) Line 1793	C++
     	openclonk_RWD.exe!C4GameSave::SaveRuntimeData() Line 190	C++
     	openclonk_RWD.exe!C4GameSave::Save(C4Group & hToGroup, bool fKeepGroup) Line 435	C++
     	openclonk_RWD.exe!C4GameSave::Save(const char * szFilename) Line 411	C++
     	openclonk_RWD.exe!C4Game::QuickSave(const char * strFilename, const char * strTitle, bool fForceSave) Line 1994	C++
     	openclonk_RWD.exe!C4MainMenu::MenuCommand(const char * szCommand, bool fIsCloseCommand) Line 719	C++
     	openclonk_RWD.exe!C4Menu::Enter(bool fRight) Line 515	C++
     	openclonk_RWD.exe!C4Menu::Control(unsigned char byCom, int iData) Line 476	C++
     	openclonk_RWD.exe!C4PlayerControl::ExecuteControlAction(int iControl, C4PlayerControlDef::Actions eAction, C4ID idControlExtraData, bool fUp, const C4KeyEventData & rKeyExtraData, bool fRepeated) Line 1235	C++
     	openclonk_RWD.exe!C4PlayerControl::ExecuteControl(int iControl, bool fUp, const C4KeyEventData & rKeyExtraData, int iTriggerMode, bool fRepeated, bool fHandleDownStateOnly) Line 1207	C++
     	openclonk_RWD.exe!C4PlayerControl::ProcessKeyEvent(const C4KeyCodeEx & pressed_key, const C4KeyCodeEx & matched_key, bool fUp, const C4KeyEventData & rKeyExtraData, bool reset_down_states_only, bool * clear_recent_keys) Line 1034	C++
     	openclonk_RWD.exe!C4PlayerControl::ProcessKeyDown(const C4KeyCodeEx & pressed_key, const C4KeyCodeEx & matched_key) Line 1076	C++
     	openclonk_RWD.exe!C4CustomKey::Execute(C4KeyEventType eEv, C4KeyCodeEx key) Line 678	C++
     	openclonk_RWD.exe!C4KeyboardInput::DoInput(const C4KeyCodeEx & InKey, C4KeyEventType InEvent, unsigned long InScope, int iStrength) Line 904	C++
     	openclonk_RWD.exe!C4Game::DoKeyboardInput(unsigned long vk_code, C4KeyEventType eEventType, bool fAlt, bool fCtrl, bool fShift, bool fRepeated, C4GUI::Dialog * pForDialog, bool fPlrCtrlOnly, int iStrength) Line 1944	C++
     	openclonk_RWD.exe!FullScreenWinProc(HWND__ * hwnd, unsigned int uMsg, unsigned __int64 wParam, __int64 lParam) Line 155	C++
     	[External Code]	
     	openclonk_RWD.exe!CStdMessageProc::Execute(int iTimeout, pollfd * __formal) Line 782	C++
     	openclonk_RWD.exe!StdScheduler::DoScheduleProcs(int iTimeout) Line 78	C++
     	openclonk_RWD.exe!StdScheduler::ScheduleProcs(int iTimeout) Line 153	C++
     	openclonk_RWD.exe!C4AbstractApp::Run() Line 25	C++
     	openclonk_RWD.exe!WinMain(HINSTANCE__ * hInst, HINSTANCE__ * hPrevInstance, char * lpszCmdParam, int nCmdShow) Line 97	C++
     	[External Code]
    
    
    txt file icon butterfly_save_stack.txt (61,349 bytes) 2016-01-27 03:46 +

-Relationships
+Relationships

-Notes

~0004848

Maikel (developer)

The saving is not due to your hardware. Lags always are, but this rockfall (Clonkomotive) is known to be laggy. I will have a look at that again. maybe too many particles are being created.

~0004849

lebrun (reporter)

Last edited: 2016-01-22 12:28

View 2 revisions

Hello Maikel,
I've tried another scenario, small map and no animals > Gold Rush

Same issue, Increasing Saving Time > Could save in the 5 first minutes. After 1 hour of game, impossible to save, game frozen, had to Ctrl+Alt+Del to close it by force.

Nota: do you want me to attach my .ocp files ?

~0004850

Sven2 (developer)

If it crashes after a time, I guess it's a leak that creates some structure like e.g. many nested prop lists and then it crashes due to deep recursion. I think we should just look at a save file created after a long time and see what's in it.

~0004889

Sven2 (developer)

Last edited: 2016-01-27 03:46

View 3 revisions

The saving time is spent within the animation stack. I guess it's creating tons of stacked animations somehow.

The object for which I get this problem at the moment is the butterfly. See attached stack.

~0004890

Sven2 (developer)

Last edited: 2016-01-27 04:27

View 2 revisions

So I've fixed the butterfly to call StopAnimation. But I wonder: How are animations normally removed? Do we have an animation leak whenever StartAnimation is called multiple times without corresponding StopAnimation?

For example in the chest?

Edit: Just tested. The chest does leak animations.

I think there should be some mechanism that prevents this. For example, animations could be removed if they no longer have weight. Or at least there should be a flag to PlayAnimation which clears any other animations found in the slot.

~0004891

Zapper (developer)

Oh, wow. Yes I guess that will bite us quite a few more times if we don't have anything in place that at least warns us about the dangling animations.

~0004892

Zapper (developer)

Reminder sent to: Clonk-Karl

ck, you know the animation stack best. Suggestions?

~0004897

Clonk-Karl (administrator)

Last edited: 2016-01-27 15:13

View 2 revisions

Anim_Linear does have a flag to remove the animation at the end. When this is used for the weight of an animation, the animation with less weight is removed. This can be used to e.g. transition smoothly from one animation to another within a given number of frames, e.g. using Anim_Linear(0, 0, 1000, 10, ANIM_Remove) as animation weight would fade the new animation in over the next 10 frames and delete the one that previously existed in the same slot afterwards (which coincides with the weight of being reduced to 0).

Other than that, I'm not against implementing some additional mechanism. I wouldn't want to remove animations that have 0 weight, since that might lead to bugs like a script storing an animation number, then the corresponding animation being removed when its weight drops to 0, and when the engine then re-uses that number for another animation, the number still stored in the script would modify a completely different and unexpected animation.

Adding a flag to PlayAnimation to clear the slot before adding the new animation sounds good to me, though.

~0004901

Sven2 (developer)

Last edited: 2016-01-28 04:55

View 2 revisions

I saw that not supplying animation weight was not allowed. So I've changed it to automatically replace the existing animation if the given weight is nil. I think this should solve the problem of people creating infinite animation stacks because the "easiest" way to use the function (i.e. if you don't care about animation merging) does not cause problems any more.

I also fixed several uses of PlayAnimation; just needs some testing.

~0004905

Sven2 (developer)

Should be fixed for the next release.
+Notes

-Issue History
Date Modified Username Field Change
2016-01-22 09:07 lebrun New Issue
2016-01-22 09:12 Maikel Note Added: 0004848
2016-01-22 10:25 lebrun Note Added: 0004849
2016-01-22 11:00 Maikel Target Version => 7.1 (Bugfix update)
2016-01-22 12:28 lebrun Note Edited: 0004849 View Revisions
2016-01-22 13:51 Sven2 Note Added: 0004850
2016-01-27 03:39 Sven2 Note Added: 0004889
2016-01-27 03:45 Sven2 Note Edited: 0004889 View Revisions
2016-01-27 03:46 Sven2 Note Edited: 0004889 View Revisions
2016-01-27 03:46 Sven2 File Added: butterfly_save_stack.txt
2016-01-27 04:22 Sven2 Note Added: 0004890
2016-01-27 04:27 Sven2 Note Edited: 0004890 View Revisions
2016-01-27 08:56 Zapper Note Added: 0004891
2016-01-27 08:57 Zapper Note Added: 0004892
2016-01-27 15:12 Clonk-Karl Note Added: 0004897
2016-01-27 15:13 Clonk-Karl Note Edited: 0004897 View Revisions
2016-01-28 04:47 Sven2 Assigned To => Sven2
2016-01-28 04:47 Sven2 Status new => assigned
2016-01-28 04:55 Sven2 Note Added: 0004901
2016-01-28 04:55 Sven2 Note Edited: 0004901 View Revisions
2016-01-29 04:52 Sven2 Note Added: 0004905
2016-01-29 04:52 Sven2 Status assigned => resolved
2016-01-29 04:52 Sven2 Fixed in Version => 7.1 (Bugfix update)
2016-01-29 04:52 Sven2 Resolution open => fixed
2016-01-29 04:53 Sven2 Severity minor => major
+Issue History